libetonyek::IWORKOfElement Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKOfElement Class Reference

class to parse the sf:of element, ie formula offset element More...

`#include <IWORKFormulaElement.h>`

Inheritance diagram for libetonyek::IWORKOfElement:

## Public Member Functions
| IWORKOfElement (IWORKXMLParserState &state)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Private Member Functions
void | attribute (int name, const char *value) override
IWORKXMLContextPtr_t | element (int name) override
void | endOfElement () override

## Private Attributes
boost::optional< ID_t > | m_ref
boost::optional< unsigned > | m_hc

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Detailed Description

class to parse the sf:of element, ie formula offset element

## Constructor & Destructor Documentation

## ◆ IWORKOfElement()

libetonyek::IWORKOfElement::IWORKOfElement | ( | IWORKXMLParserState & | state | ) |
| explicit

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKOfElement::attribute | ( | int | name,
|  | const char * | value
| ) |  |
| overrideprivate

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKOfElement::element | ( | int | name | ) |
| overrideprivate

## ◆ endOfElement()

void libetonyek::IWORKOfElement::endOfElement | ( |  | ) |
| overrideprivate

## Member Data Documentation

## ◆ m_hc

boost::optional<unsigned> libetonyek::IWORKOfElement::m_hc
| private

Referenced by attribute(), and endOfElement().

## ◆ m_ref

boost::optional<ID_t> libetonyek::IWORKOfElement::m_ref
| private

Referenced by element(), and endOfElement().

The documentation for this class was generated from the following files:

- IWORKFormulaElement.h
- IWORKFormulaElement.cpp